#include "herkenningsslot.h"
#include <map>

HerkenningsSlot::HerkenningsSlot(Afdrukker* a): kaartenbak(),afdrukker(a){

}

void HerkenningsSlot::voegAutorisatieToe(string naam, bool access){
    if (!kaartenbak.count(naam)){
        kaartenbak[naam] = access;
    }
}

void HerkenningsSlot::ontgrendel(string naam){
    if (kaartenbak.count(naam) && kaartenbak[naam]){
        vergrendeld = false;
    }
    else vergrendeld = true;
}

bool HerkenningsSlot::isVergrendeld(){
    return vergrendeld;
}

void HerkenningsSlot::vergrendel(){
    vergrendeld = true;
}

void HerkenningsSlot::toonKaartenBak(){
    afdrukker->clearMedium();
    for (auto &j:kaartenbak){
        afdrukker->toonText(j.first + " " + std::to_string(j.second));
    }
}
