#ifndef KAARTSLOT_H
#define KAARTSLOT_H

#include "slot.h"
#include "idkaart.h"
#include <string>
#include <map>

class KaartSlot : public Slot{
private:
    std::string plaats;
    bool vergrendeld;
    static inline std::map<std::string,IdKaart*> idKaarten{};
public:
    KaartSlot();
    void vergrendel();
    bool isVergrendeld();
    void ontgrendel(std::string);
    static void voegIdKaartToe(IdKaart*);
    static void verwijderIdKaart(std::string);
};

#endif // KAARTSLOT_H
